Package it.ernytech.tdlib

## Class TdApi.SearchHashtags

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchHashtags

Enclosing class:
  TdApi

    public static class TdApi.SearchHashtags
    extends TdApi.Function

Searches for recently used hashtags by their prefix.

Returns `Hashtags`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of hashtags to be returned.
`java.lang.String` `prefix` Hashtag prefix to search for.

### Constructor Summary

Constructors
`SearchHashtags()` Default constructor.
`SearchHashtags​(java.lang.String prefix, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### prefix

    public java.lang.String prefix

Hashtag prefix to search for.

#### limit

    public int limit

Maximum number of hashtags to be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchHashtags

    public SearchHashtags()

Default constructor.

#### SearchHashtags

    public SearchHashtags​(java.lang.String prefix,
                          int limit)

Constructor for initialization of all fields.

Parameters:
  `prefix` - Hashtag prefix to search for.
  `limit` - Maximum number of hashtags to be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR